Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.autoscaling.model
Class Trigger

    java.lang.Object
      com.amazonaws.services.autoscaling.model.Trigger

    public class Trigger

extends Object

The Trigger data type.

Constructor Summary
`Trigger()`

Method Summary
`String` | `getAutoScalingGroupName()` Contains the name of the AutoScalingGroup to which the trigger belongs.
`Integer` | `getBreachDuration()` Specifies the amount of time to wait while the trigger is firing before performing scaling activities in response to the breach.
`Date` | `getCreatedTime()` Contains the creation date and time for the trigger.
`String` | `getCustomUnit()` Constraints: Pattern: [ -??-??-?\r\n\t]*
`List<Dimension>` | `getDimensions()` Contains the dimensions used to retrieve metric statistics that the trigger uses to determine when to fire.
`String` | `getLowerBreachScaleIncrement()` Specifies the incremental amount to use when performing scaling activities when the lower threshold has been breached.
`Double` | `getLowerThreshold()` Specifies the lower limit for the metric.
`String` | `getMeasureName()` Contains the measure name used by the trigger to determine when to fire.
`String` | `getNamespace()` Constraints: Length: 1 - 100 Pattern: [ -9;-??-??-?\r\n\t]*
`Integer` | `getPeriod()` Specifies the period used in retrieving metric statistics used by the trigger to determine when to fire.
`String` | `getStatistic()` Contains the statistic used by the trigger to determine which metric statistics to examine.
`String` | `getStatus()` Provides the current status of the trigger.
`String` | `getTriggerName()` Contains the name of the trigger.
`String` | `getUnit()` Contains the standard unit associated with a measure; used by the trigger when fetching the metric statistics it uses to determine when to activate.
`String` | `getUpperBreachScaleIncrement()` Specifies the incremental amount to use when performing scaling activities when the upper threshold has been breached.
`Double` | `getUpperThreshold()` Specifies the upper limit of the metric used.
`void` | `setAutoScalingGroupName(String autoScalingGroupName)` Contains the name of the AutoScalingGroup to which the trigger belongs.
`void` | `setBreachDuration(Integer breachDuration)` Specifies the amount of time to wait while the trigger is firing before performing scaling activities in response to the breach.
`void` | `setCreatedTime(Date createdTime)` Contains the creation date and time for the trigger.
`void` | `setCustomUnit(String customUnit)` Constraints: Pattern: [ -??-??-?\r\n\t]*
`void` | `setDimensions(Collection<Dimension> dimensions)` Contains the dimensions used to retrieve metric statistics that the trigger uses to determine when to fire.
`void` | `setLowerBreachScaleIncrement(String lowerBreachScaleIncrement)` Specifies the incremental amount to use when performing scaling activities when the lower threshold has been breached.
`void` | `setLowerThreshold(Double lowerThreshold)` Specifies the lower limit for the metric.
`void` | `setMeasureName(String measureName)` Contains the measure name used by the trigger to determine when to fire.
`void` | `setNamespace(String namespace)` Constraints: Length: 1 - 100 Pattern: [ -9;-??-??-?\r\n\t]*
`void` | `setPeriod(Integer period)` Specifies the period used in retrieving metric statistics used by the trigger to determine when to fire.
`void` | `setStatistic(String statistic)` Contains the statistic used by the trigger to determine which metric statistics to examine.
`void` | `setStatus(String status)` Provides the current status of the trigger.
`void` | `setTriggerName(String triggerName)` Contains the name of the trigger.
`void` | `setUnit(String unit)` Contains the standard unit associated with a measure; used by the trigger when fetching the metric statistics it uses to determine when to activate.
`void` | `setUpperBreachScaleIncrement(String upperBreachScaleIncrement)` Specifies the incremental amount to use when performing scaling activities when the upper threshold has been breached.
`void` | `setUpperThreshold(Double upperThreshold)` Specifies the upper limit of the metric used.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`Trigger` | `withAutoScalingGroupName(String autoScalingGroupName)` Contains the name of the AutoScalingGroup to which the trigger belongs.
`Trigger` | `withBreachDuration(Integer breachDuration)` Specifies the amount of time to wait while the trigger is firing before performing scaling activities in response to the breach.
`Trigger` | `withCreatedTime(Date createdTime)` Contains the creation date and time for the trigger.
`Trigger` | `withCustomUnit(String customUnit)` Returns a reference to this object so that method calls can be chained together.
`Trigger` | `withDimensions(Collection<Dimension> dimensions)` Contains the dimensions used to retrieve metric statistics that the trigger uses to determine when to fire.
`Trigger` | `withDimensions(Dimension... dimensions)` Contains the dimensions used to retrieve metric statistics that the trigger uses to determine when to fire.
`Trigger` | `withLowerBreachScaleIncrement(String lowerBreachScaleIncrement)` Specifies the incremental amount to use when performing scaling activities when the lower threshold has been breached.
`Trigger` | `withLowerThreshold(Double lowerThreshold)` Specifies the lower limit for the metric.
`Trigger` | `withMeasureName(String measureName)` Contains the measure name used by the trigger to determine when to fire.
`Trigger` | `withNamespace(String namespace)` Returns a reference to this object so that method calls can be chained together.
`Trigger` | `withPeriod(Integer period)` Specifies the period used in retrieving metric statistics used by the trigger to determine when to fire.
`Trigger` | `withStatistic(String statistic)` Contains the statistic used by the trigger to determine which metric statistics to examine.
`Trigger` | `withStatus(String status)` Provides the current status of the trigger.
`Trigger` | `withTriggerName(String triggerName)` Contains the name of the trigger.
`Trigger` | `withUnit(String unit)` Contains the standard unit associated with a measure; used by the trigger when fetching the metric statistics it uses to determine when to activate.
`Trigger` | `withUpperBreachScaleIncrement(String upperBreachScaleIncrement)` Specifies the incremental amount to use when performing scaling activities when the upper threshold has been breached.
`Trigger` | `withUpperThreshold(Double upperThreshold)` Specifies the upper limit of the metric used.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Trigger

    public Trigger()

Method Detail

### getTriggerName

    public String getTriggerName()

  Contains the name of the trigger.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Returns:
    Contains the name of the trigger.

### setTriggerName

    public void setTriggerName(String triggerName)

  Contains the name of the trigger.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `triggerName` - Contains the name of the trigger.

### withTriggerName

    public Trigger withTriggerName(String triggerName)

  Contains the name of the trigger.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `triggerName` - Contains the name of the trigger.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getAutoScalingGroupName

    public String getAutoScalingGroupName()

  Contains the name of the AutoScalingGroup to which the trigger belongs.

  Constraints:
  Length: 1 - 100
  Pattern: [ -??-??-?\r\n\t]*

  Returns:
    Contains the name of the AutoScalingGroup to which the trigger belongs.

### setAutoScalingGroupName

    public void setAutoScalingGroupName(String autoScalingGroupName)

  Contains the name of the AutoScalingGroup to which the trigger belongs.

  Constraints:
  Length: 1 - 100
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `autoScalingGroupName` - Contains the name of the AutoScalingGroup to which the trigger belongs.

### withAutoScalingGroupName

    public Trigger withAutoScalingGroupName(String autoScalingGroupName)

  Contains the name of the AutoScalingGroup to which the trigger belongs.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Length: 1 - 100
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `autoScalingGroupName` - Contains the name of the AutoScalingGroup to which the trigger belongs.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getMeasureName

    public String getMeasureName()

  Contains the measure name used by the trigger to determine when to fire.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Returns:
    Contains the measure name used by the trigger to determine when to fire.

### setMeasureName

    public void setMeasureName(String measureName)

  Contains the measure name used by the trigger to determine when to fire.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `measureName` - Contains the measure name used by the trigger to determine when to fire.

### withMeasureName

    public Trigger withMeasureName(String measureName)

  Contains the measure name used by the trigger to determine when to fire.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `measureName` - Contains the measure name used by the trigger to determine when to fire.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getStatistic

    public String getStatistic()

  Contains the statistic used by the trigger to determine which metric statistics to examine.

  Constraints:
  Pattern: (Average|Sum|Minimum|Maximum)

  Returns:
    Contains the statistic used by the trigger to determine which metric statistics to examine.

### setStatistic

    public void setStatistic(String statistic)

  Contains the statistic used by the trigger to determine which metric statistics to examine.

  Constraints:
  Pattern: (Average|Sum|Minimum|Maximum)

  Parameters:
    `statistic` - Contains the statistic used by the trigger to determine which metric statistics to examine.

### withStatistic

    public Trigger withStatistic(String statistic)

  Contains the statistic used by the trigger to determine which metric statistics to examine.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Pattern: (Average|Sum|Minimum|Maximum)

  Parameters:
    `statistic` - Contains the statistic used by the trigger to determine which metric statistics to examine.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getDimensions

    public List<Dimension> getDimensions()

  Contains the dimensions used to retrieve metric statistics that the trigger uses to determine when to fire.

  Constraints:
  Length: 1 -

  Returns:
    Contains the dimensions used to retrieve metric statistics that the trigger uses to determine when to fire.

### setDimensions

    public void setDimensions(Collection<Dimension> dimensions)

  Contains the dimensions used to retrieve metric statistics that the trigger uses to determine when to fire.

  Constraints:
  Length: 1 -

  Parameters:
    `dimensions` - Contains the dimensions used to retrieve metric statistics that the trigger uses to determine when to fire.

### withDimensions

    public Trigger withDimensions(Dimension... dimensions)

  Contains the dimensions used to retrieve metric statistics that the trigger uses to determine when to fire.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Length: 1 -

  Parameters:
    `dimensions` - Contains the dimensions used to retrieve metric statistics that the trigger uses to determine when to fire.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withDimensions

    public Trigger withDimensions(Collection<Dimension> dimensions)

  Contains the dimensions used to retrieve metric statistics that the trigger uses to determine when to fire.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Length: 1 -

  Parameters:
    `dimensions` - Contains the dimensions used to retrieve metric statistics that the trigger uses to determine when to fire.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getPeriod

    public Integer getPeriod()

  Specifies the period used in retrieving metric statistics used by the trigger to determine when to fire.

  Returns:
    Specifies the period used in retrieving metric statistics used by the trigger to determine when to fire.

### setPeriod

    public void setPeriod(Integer period)

  Specifies the period used in retrieving metric statistics used by the trigger to determine when to fire.

  Parameters:
    `period` - Specifies the period used in retrieving metric statistics used by the trigger to determine when to fire.

### withPeriod

    public Trigger withPeriod(Integer period)

  Specifies the period used in retrieving metric statistics used by the trigger to determine when to fire.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `period` - Specifies the period used in retrieving metric statistics used by the trigger to determine when to fire.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getUnit

    public String getUnit()

  Contains the standard unit associated with a measure; used by the trigger when fetching the metric statistics it uses to determine when to activate.

  Constraints:
  Pattern: (Seconds|Bytes|Bits|Percent|Count|Bytes/Second|Bits/Second|Count/Second|None)

  Returns:
    Contains the standard unit associated with a measure; used by the trigger when fetching the metric statistics it uses to determine when to activate.

### setUnit

    public void setUnit(String unit)

  Contains the standard unit associated with a measure; used by the trigger when fetching the metric statistics it uses to determine when to activate.

  Constraints:
  Pattern: (Seconds|Bytes|Bits|Percent|Count|Bytes/Second|Bits/Second|Count/Second|None)

  Parameters:
    `unit` - Contains the standard unit associated with a measure; used by the trigger when fetching the metric statistics it uses to determine when to activate.

### withUnit

    public Trigger withUnit(String unit)

  Contains the standard unit associated with a measure; used by the trigger when fetching the metric statistics it uses to determine when to activate.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Pattern: (Seconds|Bytes|Bits|Percent|Count|Bytes/Second|Bits/Second|Count/Second|None)

  Parameters:
    `unit` - Contains the standard unit associated with a measure; used by the trigger when fetching the metric statistics it uses to determine when to activate.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getCustomUnit

    public String getCustomUnit()

  Constraints:
  Pattern: [ -??-??-?\r\n\t]*

  Returns:

### setCustomUnit

    public void setCustomUnit(String customUnit)

  Constraints:
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `customUnit` -

### withCustomUnit

    public Trigger withCustomUnit(String customUnit)

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `customUnit` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getNamespace

    public String getNamespace()

  Constraints:
  Length: 1 - 100
  Pattern: [ -9;-??-??-?\r\n\t]*

  Returns:

### setNamespace

    public void setNamespace(String namespace)

  Constraints:
  Length: 1 - 100
  Pattern: [ -9;-??-??-?\r\n\t]*

  Parameters:
    `namespace` -

### withNamespace

    public Trigger withNamespace(String namespace)

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Length: 1 - 100
  Pattern: [ -9;-??-??-?\r\n\t]*

  Parameters:
    `namespace` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getLowerThreshold

    public Double getLowerThreshold()

  Specifies the lower limit for the metric.

  Returns:
    Specifies the lower limit for the metric.

### setLowerThreshold

    public void setLowerThreshold(Double lowerThreshold)

  Specifies the lower limit for the metric.

  Parameters:
    `lowerThreshold` - Specifies the lower limit for the metric.

### withLowerThreshold

    public Trigger withLowerThreshold(Double lowerThreshold)

  Specifies the lower limit for the metric.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `lowerThreshold` - Specifies the lower limit for the metric.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getLowerBreachScaleIncrement

    public String getLowerBreachScaleIncrement()

  Specifies the incremental amount to use when performing scaling activities when the lower threshold has been breached.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Returns:
    Specifies the incremental amount to use when performing scaling activities when the lower threshold has been breached.

### setLowerBreachScaleIncrement

    public void setLowerBreachScaleIncrement(String lowerBreachScaleIncrement)

  Specifies the incremental amount to use when performing scaling activities when the lower threshold has been breached.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `lowerBreachScaleIncrement` - Specifies the incremental amount to use when performing scaling activities when the lower threshold has been breached.

### withLowerBreachScaleIncrement

    public Trigger withLowerBreachScaleIncrement(String lowerBreachScaleIncrement)

  Specifies the incremental amount to use when performing scaling activities when the lower threshold has been breached.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `lowerBreachScaleIncrement` - Specifies the incremental amount to use when performing scaling activities when the lower threshold has been breached.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getUpperThreshold

    public Double getUpperThreshold()

  Specifies the upper limit of the metric used.

  Returns:
    Specifies the upper limit of the metric used.

### setUpperThreshold

    public void setUpperThreshold(Double upperThreshold)

  Specifies the upper limit of the metric used.

  Parameters:
    `upperThreshold` - Specifies the upper limit of the metric used.

### withUpperThreshold

    public Trigger withUpperThreshold(Double upperThreshold)

  Specifies the upper limit of the metric used.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `upperThreshold` - Specifies the upper limit of the metric used.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getUpperBreachScaleIncrement

    public String getUpperBreachScaleIncrement()

  Specifies the incremental amount to use when performing scaling activities when the upper threshold has been breached.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Returns:
    Specifies the incremental amount to use when performing scaling activities when the upper threshold has been breached.

### setUpperBreachScaleIncrement

    public void setUpperBreachScaleIncrement(String upperBreachScaleIncrement)

  Specifies the incremental amount to use when performing scaling activities when the upper threshold has been breached.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `upperBreachScaleIncrement` - Specifies the incremental amount to use when performing scaling activities when the upper threshold has been breached.

### withUpperBreachScaleIncrement

    public Trigger withUpperBreachScaleIncrement(String upperBreachScaleIncrement)

  Specifies the incremental amount to use when performing scaling activities when the upper threshold has been breached.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `upperBreachScaleIncrement` - Specifies the incremental amount to use when performing scaling activities when the upper threshold has been breached.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getBreachDuration

    public Integer getBreachDuration()

  Specifies the amount of time to wait while the trigger is firing before performing scaling activities in response to the breach.

  Constraints:
  Range: 120 - 86400

  Returns:
    Specifies the amount of time to wait while the trigger is firing before performing scaling activities in response to the breach.

### setBreachDuration

    public void setBreachDuration(Integer breachDuration)

  Specifies the amount of time to wait while the trigger is firing before performing scaling activities in response to the breach.

  Constraints:
  Range: 120 - 86400

  Parameters:
    `breachDuration` - Specifies the amount of time to wait while the trigger is firing before performing scaling activities in response to the breach.

### withBreachDuration

    public Trigger withBreachDuration(Integer breachDuration)

  Specifies the amount of time to wait while the trigger is firing before performing scaling activities in response to the breach.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Range: 120 - 86400

  Parameters:
    `breachDuration` - Specifies the amount of time to wait while the trigger is firing before performing scaling activities in response to the breach.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getStatus

    public String getStatus()

  Provides the current status of the trigger.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Returns:
    Provides the current status of the trigger.

### setStatus

    public void setStatus(String status)

  Provides the current status of the trigger.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `status` - Provides the current status of the trigger.

### withStatus

    public Trigger withStatus(String status)

  Provides the current status of the trigger.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `status` - Provides the current status of the trigger.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getCreatedTime

    public Date getCreatedTime()

  Contains the creation date and time for the trigger.

  Returns:
    Contains the creation date and time for the trigger.

### setCreatedTime

    public void setCreatedTime(Date createdTime)

  Contains the creation date and time for the trigger.

  Parameters:
    `createdTime` - Contains the creation date and time for the trigger.

### withCreatedTime

    public Trigger withCreatedTime(Date createdTime)

  Contains the creation date and time for the trigger.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `createdTime` - Contains the creation date and time for the trigger.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.